import { mapAndReduceOver as e } from "../../utils/map-helper.js";
const l = (i) => {
  const { color: t, spacing: c, get: r } = i, a = {
    success: t("interaction.success"),
    warning: t("interaction.warning"),
    critical: t("interaction.critical")
  }, s = {
    success: {
      backgroundColor: t("interaction.success-subtle"),
      color: t("interaction.success")
    },
    warning: {
      backgroundColor: t("interaction.warning-subtle"),
      color: t("interaction.warning")
    },
    critical: {
      backgroundColor: t("interaction.critical-subtle"),
      color: t("interaction.critical")
    }
  };
  return {
    ".badge": {
      borderRadius: c(1.5),
      padding: c(1, 2),
      fontSize: r("fontSize.label"),
      fontWeight: 600
    },
    ...e(
      (n, o) => ({
        [`.badge-${n}`]: {
          backgroundColor: o,
          color: t("content.inverse.strong")
        }
      }),
      a
    ),
    ...e(
      (n, o) => ({
        [`.badge-${n}-subtle`]: o
      }),
      s
    )
  };
}, u = {
  getComponents: l
};
export {
  u as TailwindBadge
};
